<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"	xmlns:bo="http://ei.vektis.nl/betaalopdracht/basisschema/v1_0" xmlns:bm801="http://ei.vektis.nl/betaalopdrachtmondzorg/bm801/v1_0" >

	<!-- retourcode 8987: De som totaalbedrag in de Header moet gelijk zijn aan de som van alle totaalbedragen van alle betaalopdrachten van alle begunstigden, rekening houdend met debet/credit. -->
	<xsl:template name="rc8987">

		<xsl:param name="Bedrag"/>
		<xsl:param name="DebetCredit"/>

		<xsl:variable name="TotaalDebet" select="sum(//bm801:TotaalbedragDC[bo:DebetCredit = 'D']/bo:Bedrag)"/>
		<xsl:variable name="TotaalCredit" select="sum(//bm801:TotaalbedragDC[bo:DebetCredit = 'C']/bo:Bedrag)"/>
		<xsl:variable name="Saldo" select="$TotaalDebet - $TotaalCredit"/>
		
		<!-- Controleren of Bedrag overeenkomt met saldo bedragen -->
		<xsl:if test="normalize-space($DebetCredit) = 'D'">
			<xsl:if test="normalize-space($Saldo) != normalize-space($Bedrag)">
				<bo:Retourcode>8987</bo:Retourcode>
			</xsl:if>
		</xsl:if>
		<!-- In het geval van Credit moet het bedrag negatief worden gemaakt -->
		<xsl:if test="normalize-space($DebetCredit) = 'C'">
			<xsl:if test="normalize-space($Saldo) != normalize-space(0-$Bedrag)">
				<bo:Retourcode>8987</bo:Retourcode>
			</xsl:if>
		</xsl:if>

	</xsl:template>
</xsl:stylesheet>
